Introduction to Project@Hand 2
Top Next

This manual describes the features of the Project@Hand 2 project management application for Palm OS handhelds.

Project@Hand 2™ Key Features:

· Advanced scheduling engine.
· Organize your project using a hierarchical task list.
· Integrated Gantt chart.
· Project, task and resource lists are fully customizable.
· Supports high resolution and wide screen devices.
· Supports devices with virtual graffiti areas.
· Save projects on storage cards to free up memory.
· Define and save multiple filters.
· Beam projects to other handheld devices.
· Print task information using TealPrint or PalmPrint.


What's New
Previous Top Next

Changes in version 2.2.2

· Updated high resolution icons for Palm OS 5 devices.

Changes in version 2.2.1

· Added support for the Tungsten T3 portrait and landscape 320x480 screen size. Requires T3 compatibility PRC's from PalmOne. If these 2 support libraries are not already on your Tungsten T3, download them from here.
· Added support for the Handspring Treo 600 5-way navigation buttons.

Changes in version 2.1.1

· Added support for the Clie UX50 wide screen.
· Added support for the AlphaSmart Dana.

Changes in version 2.0.5

· Option to show thousands separators in numbers.
· Options to select time units for project and task duration and work values.
· Added ability to import a project that was copied from another handheld.

Changes in version 2.0.4

· Lag time can now be specified in Elapsed or Work Calendar units.

Changes in version 2.0.3

· Additional filters; Missed Deadlines, Starts Within X days, Finishes Within X days.
· Print the project.

Changes in version 2.0.2

· Added support for small fonts for Tungsten T and Sony Clie NX models.
· Added support for the Tungsten T direction pad.


Installation

Installing Project@Hand 2 onto your handheld only takes a few steps. Locate the directory where you extracted the Project@Hand files.

Double-click on the Project@Hand 2 Palm Application file (extension PRC) to launch the Palm Install Tool. Project@Hand should be listed as one of the files to be installed.

Click on the Done button. Place your handheld in its cradle and push the button to start a synchronization. When the synchronization completes, tap the home button to display the application launcher. The Project@Hand 2 icon will be displayed on the application launch screen.


Purchase a License

You can purchase a license for Project@Hand from Natara Software at http://www.natara.com/projectathand2/purchase.cfm.

After purchasing a Project@Hand license, you will receive a registration number by email (usually within 12 hours). Follow the instructions in the email to enter your registration number in the registration number dialog.

Lost Registration Numbers

If you misplace your registration number, visit the Natara web site http://www.natara.com/Support.cfm to request your registration number.


Requirements

The Project@Hand handheld application has the following requirements:

· Palm OS 3.5 or higher
· 280 Kilobytes of memory
· Beaming a project requires Palm OS 4.0 or higher.


Limitations

Project@Hand 2 has the following limitations.

· The maximum size of a task note is 26 KB.
· Project names are limited to 28 characters.
· The maximum number of filters is 8 per project.
· The Critical attribute of tasks is only valid for Project@Hand 2 MSP.


Software License Agreement

-IMPORTANT-

Read This Carefully Before Installing The Software

THIS IS A LEGAL AGREEMENT BETWEEN YOU AND NATARA SOFTWARE, INC. BEFORE CONTINUING WITH THE INSTALLATION OF THE PROGRAM, YOU MUST READ, ACKNOWLEDGE AND ACCEPT THE TERMS AND CONDITIONS OF THE SOFTWARE LICENSE AGREEMENT WHICH FOLLOWS. WHEN PROMPTED, PLEASE INDICATE WHETHER YOU ACCEPT OR DO NOT ACCEPT. IF YOU DO NOT ACCEPT THE TERMS AND CONDITIONS OF THE SOFTWARE LICENSE, YOU MAY RETURN THE MEDIA PACKAGE AND ALL ACCOMPANYING ITEMS (INCLUDING WRITTEN MATERIALS AND BINDERS OR OTHER CONTAINERS), TO THE PLACE YOU OBTAINED THEM FOR A FULL REFUND; OR YOU MAY WRITE, NATARA SOFTWARE, INC., 909 E. OGDEN AVE. SUITE C, NAPERVILLE, IL 60565.

NATARA SOFTWARE LICENSE

1. GRANT OF LICENSE. Natara Software, Inc. ("Natara"), grants to you, the end user, a personal, nonexclusive license to use a single copy of this software program, including any updates, additional modules, or additional software provided by Natara in connection therewith (the "Software"), solely for your own use, and solely in accordance with the terms and conditions of this license agreement. You may copy the Software into the memory of any computer, solely as necessary to use the Software in accordance with this license agreement.

2. INSTALLATION AND USE. Natara Project@Hand 2 is licensed to you in one of two potential configurations: (1) Single User License and (2) Evaluation License. You may install and use (in the manner provided) only those configuration(s) for which you have obtained a license. Licenses for Natara Project@Hand 2 are individual named user licenses. No license may be shared, in any capacity, by more than one individual end user.

(1) Single User License. You may install and use a single copy of the Software on a single handheld device. You may access the Software from a hard disk, over a network, or by any other method; strictly in accordance with the terms hereof. You may use each licensed copy of the Software only on a single handheld device.

(2) Evaluation License. You may use one copy of the Software on a single handheld device, for a period not to exceed thirty (30) days. You are acquiring only the limited right to use a single copy of the Software for evaluation purposes. You are not acquiring any rights to the Software itself.

3. COPYRIGHT AND COPIES. The Software (including any copy thereof), is owned by Natara or its suppliers and is protected by United States copyright and patent laws and international treaty provisions. The Software copy is licensed, not sold to you, and you are not an owner of any copy thereof. You may either (a) make one copy of the Software solely for backup or archival purposes, or (b) transfer the Software to a single hard disk provided you keep the original solely for backup or archival purposes. You may not otherwise copy the Software except as expressly authorized by applicable law, and you may not copy the written materials accompanying the Software. Natara hereby reserves all rights not explicitly granted in this software license agreement.

4. OTHER RESTRICTIONS. You may not rent, lease or transfer the Software. You may not reverse engineer, decompile or disassemble the Software, except to the extent expressly authorized by applicable law.

5. LIMITED WARRANTY AND REMEDY. Natara warrants the physical media (e.g. diskette(s) or CD-ROM), and the physical documentation, to be free of defects in materials and workmanship for a period of 90 days from the original purchase date. If Natara receives notification within this warranty period of any such defects and such notification is determined to be correct, Natara will, at its sole option and discretion, repair or replace the media or documentation, or provide you a full refund. The foregoing is your sole and exclusive remedy and states Natara's and its suppliers' entire liability arising out of this warranty. This limited warranty is void if the damage or defect has resulted from accident, abuse or misapplication.

6. NO OTHER WARRANTIES. THE LIMITED WARRANTY ABOVE IS EXCLUSIVE AND IN LIEU OF ALL OTHER CONDITIONS AND WARRANTIES FOR THE SOFTWARE AND DOCUMENTATION. NATARA AND ITS SUPPLIERS MAKE NO OTHER CONDITIONS OR WARRANTIES, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, AND EXPRESSLY DISCLAIM ALL OTHER CONDITIONS AND WARRANTIES, INCLUDING BUT NOT LIMITED TO IMPLIED CONDITIONS OR WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT FOR THE SOFTWARE AND DOCUMENTATION, TO THE FULLEST EXTENT PERMITTED BY APPLCABLE LAW.

7. LIMITED LIABILITY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT AND UNDER NO LEGAL THEORY SHALL NATARA OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY COSTS OF SUBSTITUTE PRODUCTS, OR FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL, PUNITIVE OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE LICENSE OF, USE OF, OR INABILITY TO USE ANY NATARA SOFTWARE OR DOCUMENTATION, EVEN IF NATARA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT SHALL NATARA'S OR ITS SUPPLIERS' LIABILITY EXCEED THE LICENSE FEE PAID BY YOU. THIS LIMITATION OF LIABILITY AND RISKS IS REFLECTED IN THE PRICE OF THE
SOFTWARE LICENSE.

8. TERM. This license is effective until terminated. You may terminate it at any time by destroying the Software together with all copies, modifications and merged portions in any form. It will also terminate automatically upon your failure to comply with any term or condition of this Agreement. In the event of such termination, you agree to promptly destroy the Software together with all copies, modifications and merged portions in any form.

9. MISCELLANEOUS. This is the entire Agreement between you and Natara, and supersedes any prior agreement, whether written or oral, relating to the subject matter of this Agreement. This Agreement is governed by the laws of the State of Illinois, U.S.A., without reference to conflict of laws principles. All disputes arising out of this Agreement shall be litigated or otherwise resolved exclusively in the state of Illinois. If any provision of this Agreement is ruled invalid, such invalidity shall not affect the validity of the remaining portions of this Agreement.


Uninstalling

To uninstall Project@Hand 2.

· Go to the application launcher screen on your handheld
· Tap the Menu button and select Delete from the App menu.
· Select Proj@Hand from the list of applications and tap Delete

This will also delete all the projects from your device's memory.

Note: Deleting the application will not delete projects from your storage card. You must delete those projects from within Project@Hand 2 before deleting the application.


Start a new project?

Display the view that lists your projects.

Tap on the New button to display the new project dialog.

Enter the name for the project and select a start date. If this project uses the same resources as a previous project you had defined, select the old project from the drop list. This will save you time by copying all the resources and work schedule from the existing project. Tap OK to create the project. The task list view is then displayed.

You can now begin to define your project. Things to do:
· Define the resources that will be used by the project.
· Break your project down into tasks. Further divide high level tasks into more detailed tasks using the summary task feature.
· Add the dependencies between the tasks.
· Assign the resources to the tasks.


Customize the list views?

Customize the list views by manipulating the column headers.

To sort the list, tap on the column header for the sort. A menu is displayed that contains the options; Ascending, Descending, Hide Column, and Insert Column. Select Ascending or Descending from the menu to sort the list. The sort column can be identified by the up or down arrow following the column name.

Tap on the column header and select "Insert Column..." to show additional information. If you select a column that is already displayed, it will be moved to the position you tapped.

To change the width of a column, tap and hold on the divider line between columns. Then drag the divider to the desired width. A horizontal scroll bar will appear when the width of the columns exceeds the width of the screen.


Filter the list of tasks?

You can filter both the task and the Gantt chart view to display tasks of interest. To begin, tap on the drop-down arrow in the upper right to display the filter menu. In addition to fixed menu items of "All Tasks" and "Edit Filters...", this menu will list all the defined filters for this project.

If the filter you want to use is already defined, select it from the list. To define a new filter select "Edit Filters...". The Tasks Filters dialog will be displayed.

Tap the New button and the Task Filter dialog will be displayed.

Enter a name for the filter. Select the attributes for the filter. A task must match all the selected attributes to be displayed. Tap OK to save the filter. The Tasks Filters dialog will now contain the filter you defined. Select the filter and tap Use to filter the project.


Print?

Project@Hand supports printing through either the PalmPrint or TealPrint print drivers. One of these print drivers must be loaded onto the handheld before project information can be printed.

Information on PalmPrint can be found on the Stevens Creek web site. Information on TealPrint can be found on the TealPoint web site.

Printing is done from the task view.

Note: Project@Hand 2 does not support printing the Gantt chart.


Mark a task as completed?

Select the task on either the task view or the Gantt Chart and tap the details icon ( [image]). The task details dialog will be displayed.

Enter 100 into the Complete edit field, or tap and drag the progress bar all the way to the right (the Completed edit field will track your stylus movement).

If the actual start and finish dates of the task were different than the scheduled dates, tap on the date and enter the actual value. Tap OK to save your changes.


Send task information to another handheld?

You can send a task to another handheld by first exporting it to a memo or a to do.


Store my project on a Storage Card?

Open the Project Details dialog using the Details command on the Project menu. This menu is available from most views.

Check the "Store on Storage Card" option. Tap OK to save the change. When the project is closed it will be written to your storage card (Compact Flash, Memory Stick, MMC, SD). Anytime you open the project, it will be read from the storage card into your handheld's memory.


Backup my project?

The handheld databases used by Project@Hand are backed up by HotSync Manager during synchronization. There are 4 files for each project. The files are named "Px_<project name>.PDB".


Project List

This view display a list of your projects. You can customize this view by selecting what columns are displayed, and sorting by a column.

Tap the New button to start a new project. Tap on a project to select the project. A tap on a selected project will open the project and display the task list.

Icons on this view
Display details of the selected project.
Display the task list of the select project.
Display the Gantt chart for the selected project.
Display the resource list for the selected project
Delete the selected project.

Columns Available for Display
Column | Description
Project Name | The name of the project. A project name can be up to 28 characters in length.
Start | The start date of the project. The start date can be set when creating the project, or on the project details general tab.
Finish | The finish date of the project. This date is calculated by the scheduling engine.
Duration | The duration of the project in work days.
Work | The amount of work assigned to the project. This is the total of the work on all the tasks in the project.
% Duration | The percent duration complete of the project. This is calculated from the percent complete of all the tasks in the project.
% Work | The percent work complete of the project. This is calculated from the percent work complete of all the tasks in the project.
Actual Duration | The total of the actual duration for all the tasks in the project.
Actual Work | The total of the actual work for all the tasks in the project.
Cost | The total cost of the project. This is calculated by summing the costs for all the tasks in the project.
Actual Cost | The total of the actual costs for all the tasks in the project.
Sync | A check mark is shown in this column if synchronization is enabled for this project. Only applicable for Project@Hand 2 MSP.


Task View

This view lists the tasks in the project. You can customize this view by selecting what columns are displayed, and sorting by a column.

Tap on a task to select it. A tap on a selected task will display the Task Details dialog.

The project will only be shown in its hierarchical form when the project is sorted by the Id field and is not filtered. Summary tasks are shown in bold with an expand icon before the task name.

Icons on this view
Close this project and display the project list.
Display details of the selected task.
Display the Gantt chart for the current project.
Display the resource list for the current project
Insert a new task after the selected task.
Move the selected task before its previous sibling.
Move the selected task after its next sibling.
Promote the selected task, making it the sibling of its summary task.
Indent the selected task, making it the child of its previous sibling.
Delete the selected task.

Other elements on this view

These symbols are used for summary tasks to indicate whether the subtasks are currently displayed or hidden. Tap on the symbol to reverse the display.

The drop-down list in the upper right corner is used to select a filter.

Critical tasks as shown in red.

Columns Available for Display
Column | Description
Task Name | The name of the task.
Id | The ordinal position of the task within the project.
Start | The start date of the task. This date is calculated by the scheduling engine based on the task's predecessors and constraints.
Finish | The finish date of the task. This date is calculated by the scheduling engine.
Duration | The duration of the task.
Work | The amount of work assigned to the task. This is the sum of all the work assigned to the task by assigning resources to the task.
Cost | The cost of the task. This field is calculated by adding the costs of all the assigned resources plus the fixed cost. For summary tasks, the cost of all the subtasks is included in this cost.
Fixed Cost | A fixed cost of the task.
Actual Start | The actual start date of the task. Does not have a date until the task is started.
Actual Finish | The actual finish date of the task. Does not have a date until the task is completed.
Actual Duration | The actual duration of the task. Does not have a value until the task is completed.
Actual Work | The actual work for the task. Shows the amount of work performed on the task to date.
Actual Cost | The actual cost of the task. Shows the cost to date. This is a percentage of the cost of the assigned resources, plus the tasks's fixed cost. For summary tasks, the Actual Cost of each subtask is included.
% Duration | The percent complete for the task.
% Work | The percentage of work complete.
% Complete | Same as the % Duration column, but in a graphical form.
Completed | A check mark when the task is completed
Critical | A check mark if the task is on the critical path. This is only applicable for Project@Hand 2 MSP.
Constraint | The scheduling constraint for the task.
Note | A note icon if the task has a note.
Milestone | A check mark icon if the task is marked as a milestone.
Effort Driven | A check mark icon if the task is marked as effort driven.
Deadline | The deadline date for the task. The date will be in red if the scheduled finish date is later than this deadline date.
Priority | The priority of the task.

Note: When this view is not sorted by ascending task Id, the movement of tasks is prohibited. To quickly sort the task in the outline order that permits moving tasks, use the Outline command on the View menu (shortcut - O).


Printing

There are 2 print options from the Task View; task and project. Use the Print command on the Task menu to print all the details about the selected task. Use the Print command on the Project menu to print the project.

Task Print
The task printout includes all the task attributes, including resource assignments and dependencies. The format is similar to the Export to Memo command.

Project Print
The current filter and the expand/collapse state are used to determine what tasks are printed. The project printout will include the same columns that are displayed in the view. An exception is the task name, which will always be printed as the last column since its width varies the most.


Export

The details of a task can be exported to a memo from the task view. Use the command Export to Memo found on the Options menu. The memo will look similar to the following:

Task: Implement Security Screen

Project: Call Tracking

Start: 10/1/02 8:00 am   Finish: 10/22/02 5:00 pm
Duration: 3.2w   Work: 3w   Cost: $11400.00
Percent Complete: 0%   Percent Work Complete: 0%

Resources:
  Greg Wyatt  100%  3w  $11400.00

Predecessor Tasks:
  Design Security Screen


Gantt Chart

This view displays the project as a Gantt Chart.

A quick tap on a task bar will display a pop up with task details. Tap the pop up to cycle through the task details.

Tap on the date header to select a new time scale, or to jump to a specific date.

To change the duration of a task using your stylus.
· Tap and hold near the end of the task bar. An arrow cursor will appear.
· Drag the stylus to the location of the new end date. A pop-up window will show the new duration of the task.
· When you reach the desired duration, lift the stylus
· If you want to cancel the operation, move the stylus above or below the task line until the duration window disappears, then lift the stylus.

To link 2 tasks using your stylus.
· Tap and hold near the end of the task bar. An arrow cursor will appear.
· Move the stylus up or down towards the task to be linked. The cursor will switch to a double arrow cursor.
· When your stylus is on top of a target task bar, the task name will be displayed in a pop up window.
· Lift the stylus when the target task name is displayed.

Icons on this view
Close this project and display the project list.
Display details of the selected task.
Display the task list of the current project.
Display the resource list for the current project.
Insert a new task after the selected task.
Tap these arrows to scroll the Gantt view.
Delete the selected task.

Other elements on this view

Tap on the box to expand or collapse summary tasks. Tap on the dots to scroll the view so that the task bar is visible.

The drop-down list in the upper right corner is used to select a filter.


Resource View

This view lists the resources for the project. You can customize this view by selecting what columns are displayed, and sorting by a column.

Tap on a resource to select it. A tap on a selected resource will display the Resource Details dialog.

To add a new resource, tap on the New button to display the New Resource dialog.

Icons on this view
Close this project and display the project list.
Display details of the selected resource.
Display the task list of the current project.
Display the Gantt chart for the current project.
Delete the selected resource.

Columns Available for Display
Column | Description
Resource Name | The name of the resource.
Initials | The initials of the resource.
Rate | This is the hourly rate for resources of type 'work'. This is the per unit cost for material resources.
Type | Either 'Work' or 'Material'.
Cost per Use | When this resource is assigned to a task, this fixed cost is added to the cost of the task.
Max Units | For work resources, the maximum percentage assigned to a task.
Material Label | The label used for units for material resources. For example, Gallons might be used for a paint resource.


General

This tab shows some general attributes for the project.

The project can be renamed by changing the name.

Setting the start date of the project will effect the scheduling of the project's tasks.

Check the Synchronize with desktop option if you want this project synchronized with a desktop MS Project file.

Check the Store on Storage Card if you want the project databases moved to an external storage card when not in use.

Projects that have the Private option checked will be masked or hidden based on the Palm OS security setting.

Note: The project name can not be changed if the project has been synchronized with the desktop.

Note: The Synchronization option is only applicable to Project@Hand 2 MSP.


Stats

This is a read-only tab that shows current statistics for the project.


Calendar

This tab is used to define the working hours for the project.

Define the working hours for each day of the week. For non-working days, uncheck the Work Day check box.
If all the work days have the same hours, enter the hours for one day and tap the Copy Hours button. The work hours will be copied to all the other work days.

Days added to the holiday list will not be scheduled for any tasks.


General

Some of the more common task attributes are shown on the General tab.

The task name can be changed directly on this page.

Tap and drag on the progress bar to change the completion status of the task. Or directly enter the percent complete.

Changing the start date will have different effects depending on the state of the task. If the task has not started you are given the option to either:
· Create a Start No Earlier Than constraint for the task.
· Set the task's Actual Start date.

If the task has started, the Actual Start date of the task will be set.

Changing the finish date will have also have different effects depending on the state of the task. If the task has not finished you are given the option to:
· Adjust the duration of the task to match a new finish date.
· Create a Finish No Earlier Than constraint for the task.
· Mark the task as completed.

The priority is useful for sorting or filtering on the task list view, but has no effect on scheduling the project.

Icons on this view

The task is marked as a milestone.
The task is a summary task.
The task is on the critical path.


Resource

This tab shows the resources assigned to the task. The total work and cost for the task are also shown.

Tap on a resource to select the resource.

Tap the Add button to add a new resource to this task.

Tap the Details button to show the full details for a resource assignment.

Tap on the Remove button to remove the selected resource assignment.


Add Resource To Task

This dialog is used when adding a resource to a task. Select the resource from the drop-down list. If a work resource is selected, enter the number of units (e.g., what percentage of their time will they spend on the task). If a material resource is selected, enter the number of units (e.g., how many gallons).


Assignment Details

This dialog is displayed when the Details button is tapped on the resource tab of the task details dialog.

You can change the number or percentage of units assigned to the task.


Predecessors

This tab shows the predecessor tasks for this task. Predecessors are used to tell the scheduling engine when this task should be scheduled in relation to other tasks. The most common relationship between tasks is the Finish-to-Start (FS) type. For that type the start date of this task is based off the finish date of the predecessor task.

Tap on a task name to select it.

Tap on the Details button to view and edit the details of the predecessor link.

Tap on the Add button to add a new predecessor to this task.

Tap on the Remove button to delete the predecessor task link.


Select Predecessor

This dialog is used to add a task as a predecessor to another task.

Select the task from the list.

Select the type of link. Support types are:

Type | Description
Finish-to-Start | The start date of this task is scheduled off the finish date of the predecessor task
Start-to-Start | The start date of this task is scheduled off the start date of the predecessor task
Finish-to-Finish | The finish date of this task is scheduled off the finish date of the predecessor task. The task start date is then calculated using the duration.
Start-to-Finish | The finish date of this task is scheduled off the start date of the predecessor task. The task start date is then calculated using the duration.

The Lag value can then be used to insert a given amount of calendar time between the 2 task dates. For example, a task could start 2 days after another task finished.


Predecessor Details

This dialog is displayed when the Details button on the Predecessor tab of the Task Details dialog is tapped.

You can change the type of dependency and the lag time within this dialog.


Advanced

A constraint effects the scheduling of a task by setting a condition on the start or finish date of the task. The following constraints are supported.

Constraint | Description
As Soon As Possible | The task will be started on the project start date, or based on any task dependencies.
As Late As Possible | The finish date of the task is set as late as the task dependencies allow. The start date is then computed from the duration.
Must Start On | The start date is fixed to the date given.
Must Finish On | The finish date is fixed to the date given. The start date is then computed using the duration
Start No Earlier Than | The start date is the later of the given date, or a date due to a task dependency.
Start No Later Than | The start date the earlier of the given date, or a date due to a task dependency.
Finish No Earlier Than | The finish date is the later of the given date, or a date due to a task dependency.
Finish No Later Than | The finish date is the earlier of the given date, or a date due to a task dependency.

The Fixed Cost value is the cost of the task outside of costs due to resource assignments.

The deadline does not effect the scheduling of the task. If the task is not scheduled to finish before the deadline date, the icon [image] will be shown on this tab, and the deadline column in the task view will be highlighted in red.

The Effort Driven option has an effect on add resources to a task. When an additional resource is added to a task that is marked Effort Driven, the total work of the task is held constant, and the duration of the task is reduced. If the task is not marked Effort Driven, the duration of the task is held constant and the total work increases.

Tasks that are marked as Milestones will have the icon [image] displayed on the General tab, and a check in the milestone column on the task list view.


Notes

The notes tab provides a place to record additional notes for a task.


Resource Details

This dialog is used to define or edit a resource. There are 2 types of resources; work and material. A work resource is the most common, and is usual an individual.

When a work resource is assigned to a task, the cost is based on the duration of the task and the units assigned. If a work resource (person) is working full time on the task, the units would be set to 100%. In this dialog, you define the initial number of resource units assigned to a task.

A material resource is usually a physical item required to accomplish a task. Though, it could be a process or other nonphysical resource. When you assigned a material resource to a task you specify how many units to use. Here is an example of a material resource. Material resources include a Label attribute, and do not have the Max Units attribute.


General

This tab contains general preferences.

Option | Description
Date Format | Select the date and time format used in the task and project list views. There are 4 options; Date Only, Date and Time, Short Date, Short Date-Time. The short versions only display the month, day and hour.
Project Time Units | Controls how duration and work is displayed for project values. When Auto is selected, an appropriate time unit is selected automatically. The choices are; Auto, Hours, Days, and Weeks.
Task Time Units | Controls how duration and work is displayed for task values. When Auto is selected, an appropriate time unit is selected automatically. The choices are; Auto, Hours, Days, and Weeks.
Show Thousands Separator | When checked, numbers are shown with thousands separators.
Reschedule after changes | When checked, the scheduling engine is run after each change is made to the project that effects the schedule.
Use App Buttons to Scroll | When checked, the Contact and To Do hard buttons are used to scroll the task and project list views left and right.
Effort driven | When checked, new tasks as marked as effort driven.
Priority | The priority assigned to new tasks.


Fonts

This tab allows you to configure the fonts used on each view. The Task list font is also used on the Gantt chart view to keep the tasks aligned in each view.


Gantt

This tab contains preferences that effect the Gantt chart view.

Option | Description
Show Task Dependencies | When checked, the dependency arrows are drawn between tasks.
Shade Non-Working Time | When checked, the non-working hours and days are shaded.
Use App Buttons to Scroll | When checked, the Contact and To Do hard buttons are used to scroll the view left and right.
Show Task Names | When checked, the task name is written next to each task bar.
Non-working time | The color used to shade non-working time when the time scale is set to days or weeks.
Task bar | The color used for normal tasks.
Critical task bar | The color used for tasks marked critical.
Summary task bar | The color used for summary tasks.


Filters

This dialog lists the filters defined for this project.

Tap the Use button to activate the selected filter.


Task Filter

This dialog is used to define a filter for the task list and Gantt chart views. A task must match all the filter attributes for it to be displayed.

Give that filter a name that will describe its purpose. This name will appear on the pop-up list of filters on the Task and Gantt view.

The status filters include the following.

Status Filter | Description
Completed | The task is marked 100% complete.
Incomplete | All tasks that are not 100% complete.
In Progress | All tasks that are not 0% complete
Not Started | All tasks that are 0% complete.
Late Start | The task is 0% complete and the Start date is before today.
Late Finish | The task is not 100% complete and the Finish date is before today
Missed Deadline | All tasks whose deadline date is before the scheduled finish date.

The date filters include the following.

Date Filter | Description
Starts On | The start date of the task matches the filter date.
Starts Before | The start date of the task is before the filter date.
Starts After | The start date of the task is after the filter date.
Finishes On | The finish date of the task matches the filter date.
Finishes After | The finish date of the task is after the filter date.
Finishes Before | The finish date of the task is before the filter date.
Active On | The filter date falls between the start and finish dates of the task inclusive.
Active Between | At least one of the filter dates is between the start and finish dates of the task inclusive.
Starts Within | The start date of the task is between today and the day count into the future inclusive.
Finishes Within | The finish date of the task is between today and the day count into the future inclusive.

The text string search used by the filter is supplied by the Palm OS. It only matches partial text at the start of a word. For example; a filter of "house" will match "houseboat", but not "roundhouse".


New Project

This is the dialog displayed when starting a new project. Enter a name for the project. Each project must a have unique name. Project names can be up to 28 characters in length.

Select the start date for the project. The start date affects the scheduling of tasks.

To save time, you can copy the resource definitions from an existing project. All the resources, work hours and holiday settings, are copied from the selected project into the new project.


Registration
Previous Top

This dialog is displayed when the Register command is selected off the Options menu. There are several registration codes that will be accepted.

· Project@Hand version 1.5 registration (starting with 034-...)
· Project@Hand 2 registration (starting with 036-...)
· Project@Hand 2 MSP registration (starting with 037-...)

It is not necessary to include the dashes when entering the registration code. The entry of the registration code is not case sensitive.